<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SocialProvider extends Model
{
    protected $fillable = ['provider_id','provider','register_id','preloaded'];


    function user()
    {
        return $this->belongsTo(User::class)->withDefault();
    }

    public function owner(){
		return $this->belongsTo('App\Models\Admin','register_id')->wwithDefault();
	}
}
